# Update password history policy

Update the password history policy for all accounts (tenants).
To disable the password history policy, set the `enabled` parameter to `false`. You can also update the `passwordHistorySize` value to a number between 1 and 10.

Endpoint: PATCH /resources/configurations/v1/password-history-policy
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant ID identifier

## Request fields (application/json):

  - `enabled` (boolean, required)
    Detemine whether the history policy is enbaled.

  - `historySize` (number, required)
    Number of passwords per user to remember in the history.

## Response 200 fields (application/json):

  - `id` (string, required)

  - `enabled` (boolean, required)

  - `historySize` (number, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

## Response 404:

  - `404` (unknown)
    History size must to be between 1 to 10

